---
title: "Export paid request logs"
url: "https://docs.signnow.com/docs/api-logs/operations/get-v2-paid-request-logs-export"
type: "endpoint"
section: "api-logs"
slug: "api-logs/operations/get-v2-paid-request-logs-export"
method: "GET"
path: "/v2/paid-request-logs/export"
operation_id: "get-v2-paid-request-logs-export"
authorization: "bearer"
---

# Export paid request logs

`GET /v2/paid-request-logs/export`

This endpoint allows API users to export logs of the paid requests in an XLSX file.

**Notes**

* The `date` filter can cover up to `90` days.
* A request with a bearer token generated by the API dashboard app returns an empty XLSX file.

## Authorization

bearer

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `filter:date` | string | No | Possible values: an array of two dates in `Y-m-d` format, up to `90` days apart. Format: `?filters=[{"date":{"type":"between","value":["2019-10-31","2019-10-31"]}}]` |
| `filter:clientId` | string | No | Possible values: an array of client IDs of the applications to export paid request logs for. Format: `?filters=[{"clientId":{"type":"in","value":["{{client_id}}"]}}]` |
| `filter:type` | string | No | Possible values: an array of request types to export paid request logs for: `free_form_invite`, `invite_to_sign`, `signing_link`, `document_group_invite`, `embedded_invite`, `embedded_group_invite`, `bulk_invite`, `document_group_bulk_invite`, `document_group_free_form_invite`. Format: `?filters=[{"type":{"type":"in","value":["signing_link","bulk_invite"]}}]` |

## Responses

### 200

An XLSX file (`application/vnd.openxmlformats-officedocument.spreadsheetml.sheet`) named `api_usage_report.xlsx`, with two sheets:

* **Requests**: one row per paid request, with the columns Request Type, Method, URL, Date, Invites Used, Application name, Application id, and Owner.
* **Totals**: the number of paid requests per request type.

### 400

* Wrong, expired, or missing token.
* `filters` isn't valid JSON.
* The filter isn't supported.
* The `date` filter type isn't `between`.
* The `date` filter value isn't an array of two dates.
* A date isn't in `Y-m-d` format.
* The `date` range is longer than `90` days.
* The `clientId` filter type isn't `in`, its value isn't an array, or a client ID doesn't match any application.
* The `type` filter type isn't `in`, its value isn't an array, or a request type isn't supported.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Wrong client ID`)

```json
{
  "errors": [
    {
      "code": 18002016,
      "message": "Wrong `clientId` values given: \"0d4ad4b1d6a64bf6a8e8b7f0e2f5b5ac\""
    }
  ]
}
```

**Example** (`Wrong date format`)

```json
{
  "errors": [
    {
      "code": 18002005,
      "message": "The `date` filter value should contain a date in format Y-m-d"
    }
  ]
}
```

**Example** (`Unsupported filter`)

```json
{
  "errors": [
    {
      "code": 0,
      "message": "Unsupported filter foo was given."
    }
  ]
}
```

**Example** (`Date range too long`)

```json
{
  "errors": [
    {
      "code": 18002006,
      "message": "The `date` filter gap should be 90 days or less"
    }
  ]
}
```

**Example** (`Wrong filters format`)

```json
{
  "errors": [
    {
      "code": 0,
      "message": "Wrong filters format."
    }
  ]
}
```

**Example** (`Wrong date filter type`)

```json
{
  "errors": [
    {
      "code": 18002002,
      "message": "The `date` filter expression should be equal to `between`"
    }
  ]
}
```

**Example** (`Wrong type filter type`)

```json
{
  "errors": [
    {
      "code": 18002012,
      "message": "The `type` filter expression should be equal to `in`"
    }
  ]
}
```

**Example** (`type value not an array`)

```json
{
  "errors": [
    {
      "code": 18002013,
      "message": "The `type` filter value should be an array"
    }
  ]
}
```

**Example** (`Unsupported request type`)

```json
{
  "errors": [
    {
      "code": 18002014,
      "message": "The `type` filter value should be `free_form_invite`, `invite_to_sign`, `signing_link`, `document_group_invite`, `embedded_invite`, `embedded_group_invite`, `bulk_invite`, `document_group_bulk_invite` and `document_group_free_form_invite`"
    }
  ]
}
```

**Example** (`Wrong clientId filter type`)

```json
{
  "errors": [
    {
      "code": 18002008,
      "message": "The `clientId` filter expression should be equal to `in`"
    }
  ]
}
```

**Example** (`clientId value not an array`)

```json
{
  "errors": [
    {
      "code": 18002009,
      "message": "The `clientId` filter value should be an array"
    }
  ]
}
```

**Example** (`Date value not an array of two`)

```json
{
  "errors": [
    {
      "code": 18002004,
      "message": "The `date` filter value should be of type array with 2 string or nullable elements"
    }
  ]
}
```

### 403

The user doesn't have an active API subscription.

**Example** (`No active subscription`)

```json
{
  "errors": [
    {
      "code": 0,
      "message": "User does not have active subscription"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/paid-request-logs/export" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/api-logs/operations/get-v2-paid-request-logs-export*
